Subject: Re: Perl instabilities
From: [email-masked] (Michael Lemke)
To: "Gerrit P. Haase" <[email-masked]>
Cc: "cygwin" <[email-masked]>, Greg Matheson <[email-masked]>
Date: Sat, 17 May 2003 23:05:27 +0200

5/16/03 14:47:39, "Gerrit P. Haase" <[email-masked]> wrote:

>Hello Michael, hello Greg, hello other Win98 users,
>
>I have a DEBUGGING version of perl-5.8.0, compiled on another machine,
>can you try if this version is different (e.g. doesn't fail on Win98),
>please?
>
>http://iokaste.koeln.convey.de/cygwin/perl/perl-5.8.0-w98test.tar.bz2
>http://iokaste.koeln.convey.de/cygwin/perl/perl-5.8.0-w98test-src.tar.bz2
>
>
>The first is the binary package, extract this package from the root /,
>and try it, please.
>
I just did.  This is even better.  It segv's immediately, no hanging Windows,
no forks to wait for...  Maybe we can actually debug it.

(gdb) run Makefile.PL
Starting program: /usr/bin/perl.exe Makefile.PL

Program received signal SIGSEGV, Segmentation fault.
0x004010c1 in ?? ()
(gdb) bt
#0  0x004010c1 in ?? ()
#1  0x61007408 in cygwin1!__assert () from /usr/bin/cygwin1.dll
#2  0x610076ed in dll_crt0@0 () from /usr/bin/cygwin1.dll
#3  0x00403ed2 in ?? ()
#4  0x0040103c in ?? ()
#5  0xbff8b560 in KERNEL32!FileTimeToLocalFileTime () from /c/WINDOWS/SYSTEM/KERNEL32.DLL
#6  0xbff8b412 in SetErrorMode () from /c/WINDOWS/SYSTEM/KERNEL32.DLL
#7  0xbff89dd5 in KERNEL32!BeginUpdateResourceA () from /c/WINDOWS/SYSTEM/KERNEL32.DLL
Cannot access memory at address 0x84a20fec
(gdb)

What am I supposed to do with the src tarball?  Didn't make
much sense to me to unpack it in /usr/src.

Thanks,
Michael

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/